# AgentKit

## Overview

`AgentKit` is a simple framework designed for creating distributed LLM (Large Language Model) agent swarms. It provides an easy-to-use interface for managing communication and data processing among distributed agents, leveraging the power of modern libraries such as `zmq` for messaging, `fastapi` and `uvicorn` for web APIs, `pydantic` for data validation, and `litellm` for language model interactions.

## Installation

Install `AgentKit` using pip:

```bash
pip install agentkit
```

Ensure you have Python 3.8 or higher installed to meet the compatibility requirements.

## Quick Start

Look at the examples directory for a simple chat agent. More documentation will come!

## Features

- Easy integration with ZeroMQ for efficient messaging.
- Web API support through FastAPI and Uvicorn.
- Robust data validation with Pydantic.
- Seamless interaction with large language models via Litellm.
- Designed for scalability and flexibility in distributed environments.

## Documentation

TBD!

## Contributing

We welcome contributions! If you're interested in improving `AgentKit`, please check out our issues section on GitHub.

## License

`AgentKit` is licensed under the MIT License. See the LICENSE file in the source code for more information.
